package models

import "github.com/jinzhu/gorm"

type Company struct {
	gorm.Model
	Name string
	Password string
	Email    string
	Avatar   string
	Users    []User
	Devices  []Device
}


// func FetchCompanies(companies *[]Company) (err error) {
// 	db := gorm.GetDb()

// 	if err = db.Find(companies).Error; err != nil {
// 		return err
// 	}
// 	return nil
// }

func (Company)Update() (bool, error) {
	return false, nil
}
func (Company)Create() (bool, error) {
	return false, nil
}
func (Company)Delete() (bool, error) {
	return false, nil
}
